local folder 
local function dofolder(file)
	dofile(folder.."/"..file)
end

-- Base OLDC files
folder = "OLDC"
dofolder("Defs.lua")
dofolder("Globals.lua")
dofolder("Functions.lua")
dofolder("CVars.lua")
dofolder("Thinkers.lua")
dofolder("HUD.lua")
dofolder("Net.lua")
dofolder("titlescreen.lua")
dofolder("LUA_OPENCREDIT.lua")

-- Hub
folder = "Hub"
dofolder("Bananaporter.lua")
dofolder("CharaSwapper.lua")
dofolder("InfoScreen.lua")
dofolder("Minimap.lua")
dofolder("NoSpecialStages.lua")
dofolder("BecauseYouJustToldMeFoxBoy.lua")
dofolder("IScreamYouScreamWeAllScreamForIceCream.lua")
dofolder("IdleMimic.lua")
dofolder("feet.lua")
dofolder("CoveMessage.lua")
dofolder("Sanctuary.lua")
dofolder("HUB_SFX.lua")
dofolder("Food.lua")

folder = "Mall Rooms/Omelette Farms"
dofolder("LUA_GCOB")
dofolder("ODLCSHIT.lua")

folder = "Mall Rooms/Omelette Farms/Punchballs"
dofolder("montitorinit.lua")
dofolder("pbinit.lua")
dofolder("punchball.lua")
dofolder("brakball.lua")
dofolder("pmonitorthinker.lua")
dofolder("tantoangle.lua")
dofolder("lobshot.lua")

--Circuit Patch
folder = "Circuit"
dofolder("L_CircuitExitLevelFix_V1.2.lua")

-- S4 Egg Rocket
folder = "S4 Egg Rocket"
dofolder("hurryup.lua")
dofolder("LUA_ESPIN.txt")
dofolder("soundef.lua")

-- S6 Spleenik 2
folder = "S6 Spleenik 2"
dofolder("DerelictCrawla.lua")
dofolder("gooper_crawla.lua")
dofolder("slowgoop.lua")

folder = "S6 Spleenik 2/Unused"
dofolder("LUA_SSHT")
dofolder("LUA_BUSS")
dofolder("LUA_DTTN")
dofolder("LUA_TSKM")
dofolder("LUA_TFSD")
dofolder("LUA_EGRB")
dofolder("LUA_RBHK")
dofolder("LUA_SNOP")
dofolder("LUA_SPMN")
dofolder("LUA_TBF2")

-- S9 Chemical Base
folder = "S9 Chemical Base"
dofolder("LUA_BLCH.txt")
dofolder("LUA_CHEM.txt")
dofolder("LUA_SPIN.txt")

-- SA Rainy Foliage
folder = "SA Rainy Foliage"
dofolder("LUA_TRA")
dofolder("LUA_HYUD")

--SD Hexacolor Heaven
folder = "SD Hexacolor Heaven"
dofolder("LUA_HexHevMain")

-- SE SM Vixuzen Maps
folder = "SE SM Vixuzen Maps"
dofolder("LUA_DEFS")
dofolder("LUA_CUSTOMACTIONS")
dofolder("LUA_RAYHAUL")
dofolder("LUA_CRAWLAPIRATES")

-- SF Twilight Hill 2
folder = "SF Twilight Hill 2"
dofolder("LUA_TWISND")

folder = "SF Twilight Hill 2/Community Objects/Team Blue Spring/SRB1 Decorative"
dofolder("Lua_EFF")
dofolder("Lua_GLZ")
dofolder("Lua_ICD")
dofolder("Lua_KHZ")
dofolder("Lua_MFZ")

-- SG Doomship
folder = "SG Doomship 2"
dofolder("LUA_JETF") -- Jet fumes
dofolder("LUA_RBLT") -- Legacy bullet
dofolder("LUA_RBMB") -- Mine projectile
dofolder("LUA_RBHD") -- 2.0 Robohood
dofolder("LUA_CBF2") -- Old Castlebot Facestabber
dofolder("LUA_EGRD") -- 2.1 Egg Guard
dofolder("LUA_RJTB") -- Old Jetty-syn bomber
dofolder("LUA_RJTG") -- Old Jetty-syn gunner
dofolder("LUA_MINE") -- Old Mines
dofolder("LUA_RCW2") -- 2.0 Red Crawla
dofolder("LUA_PTUR") -- 2.0 Pop-Up Turret
dofolder("LUA_SHRP") -- 2.0 Sharp
dofolder("LUA_CCOM") -- Old Crawla Comander thinker
dofolder("LUA_2COM") -- Old Crawla Comander
dofolder("2.0 Snailer/LUA_SNAL") --Old snailer
dofolder("2.0 Snapper/LUA_SNAP") --Old snapper
dofolder("LUA_OFIR") -- Old Fire

-- SK Mount Majesty
folder = "SK Mount Majesty"
dofolder("LUA_ISRG")
dofolder("LUA_MDEC")
dofolder("LUA_SPLT")

-- SN SQ Zaxel Maps
folder = "SN SQ Zaxel Maps"
dofolder("LUA_ELEC")
dofolder("LUA_FAIR")
dofolder("LUA_TYOB")
dofolder("LUA_ELFS")
dofolder("LUA_ELTH")
dofolder("LUA_ETRT")
dofolder("LUA_ETUR")

-- SS Arctic Summit
folder = "SS Arctic Summit"
dofolder("flowbubble.lua")
dofolder("freezingwater.lua")
dofolder("shiversound.lua")

-- ST Metallic City
folder = "ST Metallic City"
dofolder("LUA_NPC.txt")

-- SU SV Ruberjig Maps
folder = "SU SV Ruberjig Maps/LevelSpecific/FO"
dofolder("LUA_FO")
dofolder("LUA_SLOT")
dofolder("LUA_SLOU")
dofolder("LUA_SLO2")
dofolder("LUA_SLU2")
dofolder("LUA_BAPH")

folder = "SU SV Ruberjig Maps/LevelSpecific/TT"
dofolder("LUA_TT")

folder = "SU SV Ruberjig Maps/LevelSpecific"
dofolder("LUA_COMMON")

folder = "SU SV Ruberjig Maps"
dofolder("LUA_Walka")
