local displayticker = 0
local triggerer

local popupMessages = {
	comeback = {
		[1] = "There doesn't seem to be anything here...",
		[2] = "Come back with a friend using split-screen or online!"
	},
	youalone = {
		[1] = "There doesn't seem to be anything here...",
		[2] = "Come back by yourself in singleplayer!"
	}
}

local popupKey

addHook("LinedefExecute", function(line, mo, sec)
	if not mo.player return end
	
	triggerer = mo.player
	displayticker = $ and max($, TICRATE) or 3*TICRATE
	popupKey = "comeback"
end, "COMEBACKLATER")

addHook("LinedefExecute", function(line, mo, sec)
	if not mo.player return end
	
	triggerer = mo.player
	displayticker = $ and max($, TICRATE) or 3*TICRATE
	popupKey = "youalone"
end, "YOUMUSTBEALONE")

addHook("HUD", function(v, p)
	if not triggerer return end
	if p != triggerer return end
	
	if not displayticker
		triggerer = nil
		return
	end
	
	local fadein = min(3*TICRATE - displayticker, 9)
	local fadeout = min(displayticker, 9)
	local valuetouse = 9
	
	if displayticker < TICRATE then valuetouse = fadeout end
	if displayticker > TICRATE*2 then valuetouse = fadein end
	
	v.drawStretched(0, 105*FRACUNIT - 5*FixedDiv(valuetouse, 9), v.width()*FRACUNIT/64, 20*FixedDiv(valuetouse, 9)/64, v.cachePatch("~031"), V_70TRANS|V_SNAPTOLEFT)
	v.drawString(160, 103, popupMessages[popupKey][1], ((9 - valuetouse) << V_ALPHASHIFT)|V_ALLOWLOWERCASE, "thin-center")
	v.drawString(160, 111, popupMessages[popupKey][2], ((9 - valuetouse) << V_ALPHASHIFT)|V_ALLOWLOWERCASE, "thin-center")
	
	if not paused
		displayticker = $ and $ - 1 or 0
	end
end)