//Argument 1 = Set skin by number. Skins higher than 5 will only appear when a character is loaded into that slot
//Argument 2 = Override character color. Set to -1 to use that skin's prefcolor
//String Argument 1 = Set skin by name. Overrides Argument 1. Still behaves cleanly with unloaded characters.

freeslot(
"MT_IDLEMIMIC",
"S_IDLEMIMIC"
)


function A_IdleMimic(actor, var1, var2)
	if (actor.spawnpoint) then
	local skin = skins[actor.spawnpoint.args[0]]
	if (actor.spawnpoint.stringargs[0]) then
		skin = skins[actor.spawnpoint.stringargs[0]]
	end
		if (skin and skin.valid) then
			actor.skin = skin.name
			if (actor.spawnpoint.args[1] >= 0) then
				actor.color = actor.spawnpoint.args[1]
			else
				actor.color = skin.prefcolor
			end
			actor.sprite = SPR_PLAY
			actor.sprite2 = 1
			actor.tics = -1
			actor.panim = PA_IDLE
			if (skin.followitem == MT_TAILSOVERLAY) then
				local follow = P_SpawnMobjFromMobj(actor, cos(actor.angle)*-1, sin(actor.angle)*-1, 0, MT_TAILSOVERLAY)
				follow.angle = actor.angle
				follow.skin = actor.skin
				follow.color = actor.color
				follow.state = S_TAILSOVERLAY_STAND
				follow.flags2 = $|MF2_LINKDRAW
			end
		end
	end
		
end



mobjinfo[MT_IDLEMIMIC] = {
spawnstate = S_IDLEMIMIC,
doomednum = 1532,
reactiontime = 65,
speed = 6,
radius = 7*FRACUNIT,
height = 49*FRACUNIT,
damage = 9,
spawnhealth = 0,
dispoffset = 0,
flags = MF_NOCLIP|MF_NOBLOCKMAP
}

states[S_IDLEMIMIC] = {
sprite = SPR_NULL,
frame = A|FF_ANIMATE,
tics = 35,
var1 = 16,
var2 = 20,
action = A_IdleMimic,
nextstate = S_IDLEMIMIC
}




