freeslot(
	"MT_AEZ_SNOWBIT",
	"S_AEZ_SNOWBIT",
	"SPR_SAFL",
	"sfx_safl1",
	"sfx_safl2",
	"sfx_safl3",
	"sfx_safl4"
)

mobjinfo[MT_AEZ_SNOWBIT] = {
        doomednum = -1,
        spawnstate = S_AEZ_SNOWBIT,
        radius = 8*FRACUNIT,
        height = 8*FRACUNIT,
        flags = MF_NOCLIPTHING
}

states[S_AEZ_SNOWBIT] = {
		sprite = SPR_SAFL,
		frame = A,
		tics = 6*TICRATE,
		nextstate = S_NULL
}

addHook("PlayerThink", function(p)
	if not p then return end
	if not p.valid then return end
	
	local a
	if p.mo.floorrover
		a = p.mo.floorrover.toppic
	else
		a = p.mo.subsector.sector.floorpic
	end
	
	if P_IsObjectOnGround(p.mo) and (a == "DPSAND" or a == "DPSAND2" or a == "SANDWLL" or a == "SPLNCNYN" or a == "ACZWALN" or a == "ACZFLR02") and (mapheaderinfo[gamemap].swagsand)
		if (leveltime % 3 == 0 and p.speed > 8*FRACUNIT) or (p.panim == PA_ROLL) or (p.mo.state == S_PLAY_SKID) or (p.mo.state == S_PLAY_SPINDASH)
			for i=1,p.mo.scale/FRACUNIT
				local revang = p.drawangle + ANGLE_180
				local snow = P_SpawnMobjFromMobj(p.mo, 0, 0, 4*FRACUNIT, MT_AEZ_SNOWBIT)
				snow.scale = FRACUNIT
				snow.destscale = FRACUNIT
				snow.scalespeed = FRACUNIT
				P_InstaThrust(snow, revang+FixedAngle(P_RandomRange(-45, 45)*FRACUNIT), max(p.speed/6, p.dashspeed/8)*max(1, p.mo.scale/FRACUNIT/2))
				snow.momz = P_RandomRange(4, 8)*FRACUNIT*max(1, p.mo.scale/FRACUNIT/2)
				
				if (leveltime % 4 == 0)
					S_StartSound(snow, P_RandomRange(sfx_safl1, sfx_safl4), p)
				end
			end
		end
	end
end)

addHook("MobjThinker", function(mo)
	if P_IsObjectOnGround(mo) then P_RemoveMobj(mo) end
end, MT_AEZ_SNOWBIT)

addHook("MobjSpawn", function(mo)
	mo.frame = P_RandomRange(0, 4)
end, MT_AEZ_SNOWBIT)