//punchball monitor
freeslot("SPR_PBOX","MT_PAWNCHBALL_BOX","MT_PAWNCHBALL_ICON","S_PAWNCHBALL_BOX","S_PAWNCHBALL_ICON1","S_PAWNCHBALL_ICON2","MT_PAWNCHBALL_GOLDBOX","S_PAWNCHBALL_GOLDBOX")
//cubeball monitor
freeslot("SPR_UBOX","MT_BBBALL_BOX","MT_BBBALL_ICON","S_BBBALL_BOX","S_BBBALL_ICON1","S_BBBALL_ICON2")

freeslot("SPR_BBOX","MT_BRAKBALL_BOX","MT_BRAKBALL_ICON","S_BRAKBALL_BOX","S_BRAKBALL_ICON1","S_BRAKBALL_ICON2")

freeslot("SKINCOLOR_PUNCHBALL")
skincolors[SKINCOLOR_PUNCHBALL] = {
	name = "Punchball",
	ramp = {189,98,100,101,103,126,126,126,126,127,127,127,127,109,109,110},
	invcolor = SKINCOLOR_BUBBLEGUM,
	invshade = 11,
	chatcolor = V_PERIDOTMAP,
	accessible = true
}

//punchball box

mobjinfo[MT_PAWNCHBALL_BOX] = {
	--$Name Pawnchball Box
	--$Sprite PBOXA0
	--$Category Monitors
	doomednum = 467,
	spawnstate = S_PAWNCHBALL_BOX,
	reactiontime = 8,
	painstate = S_PAWNCHBALL_BOX,
	deathstate = S_BOX_POP1,
	deathsound = sfx_pop,
	speed = 1,
	radius = 18*FRACUNIT,
	height = 40*FRACUNIT,
	mass = 100,
	damage = MT_PAWNCHBALL_ICON,
	flags = MF_SOLID|MF_SHOOTABLE|MF_MONITOR
}

mobjinfo[MT_PAWNCHBALL_ICON] = {
	doomednum = -1,
	spawnstate = S_PAWNCHBALL_ICON1,
	seesound = sfx_kc54,
	reactiontime = 8,
	deathsound = sfx_pop,
	speed = 2*FRACUNIT,
	radius = 8*FRACUNIT,
	height = 14*FRACUNIT,
	mass = 100,
	damage = 62*FRACUNIT,
	flags = MF_NOBLOCKMAP|MF_NOGRAVITY|MF_NOCLIP|MF_BOXICON|MF_SCENERY
}

mobjinfo[MT_PAWNCHBALL_GOLDBOX] = {
	--$Name  Pucnhball Box (Respawning)
	--$Sprite VMGSB0
	--$Category Monitors (Respawning)
	doomednum = 458,
	spawnstate = S_PAWNCHBALL_GOLDBOX,
	reactiontime = 8,
	attacksound = sfx_monton,
	painstate = S_PAWNCHBALL_GOLDBOX,
	deathstate = S_GOLDBOX_OFF1,
	deathsound = sfx_pop,
	speed = 1,
	radius = 20*FRACUNIT,
	height = 44*FRACUNIT,
	mass = 100,
	damage = MT_PAWNCHBALL_ICON,
	flags = MF_SOLID|MF_SHOOTABLE|MF_MONITOR|MF_GRENADEBOUNCE
}

states[S_PAWNCHBALL_BOX] = {SPR_PBOX,A,2,nil,0,0,S_BOX_FLICKER}
states[S_PAWNCHBALL_GOLDBOX] = {SPR_PBOX,B,2,A_GoldMonitorSparkle,0,0,S_GOLDBOX_FLICKER}
states[S_PAWNCHBALL_ICON1] = {SPR_PBOX,C|FF_ANIMATE,18,nil,3,4,S_PAWNCHBALL_ICON2}
states[S_PAWNCHBALL_ICON2] = {SPR_PBOX,C,18,nil,nil}

//bubbleball box

mobjinfo[MT_BBBALL_BOX] = {
	--$Name Cubeball Box
	--$Sprite CBOXA0
	--$Category Monitors
	doomednum = 468,
	spawnstate = S_BBBALL_BOX,
	reactiontime = 8,
	painstate = S_BBBALL_BOX,
	deathstate = S_BOX_POP1,
	deathsound = sfx_pop,
	speed = 1,
	radius = 18*FRACUNIT,
	height = 40*FRACUNIT,
	mass = 100,
	damage = MT_BBBALL_ICON,
	flags = MF_SOLID|MF_SHOOTABLE|MF_MONITOR
}

mobjinfo[MT_BBBALL_ICON] = {
	doomednum = -1,
	spawnstate = S_BBBALL_ICON1,
	seesound = sfx_kc54,
	reactiontime = 8,
	deathsound = sfx_pop,
	speed = 2*FRACUNIT,
	radius = 8*FRACUNIT,
	height = 14*FRACUNIT,
	mass = 100,
	damage = 62*FRACUNIT,
	flags = MF_NOBLOCKMAP|MF_NOGRAVITY|MF_NOCLIP|MF_BOXICON|MF_SCENERY
}

states[S_BBBALL_BOX] = {SPR_UBOX,A,2,nil,0,0,S_BOX_FLICKER}
states[S_BBBALL_ICON1] = {SPR_UBOX,C|FF_ANIMATE,18,nil,3,4,S_BBBALL_ICON2}
states[S_BBBALL_ICON2] = {SPR_UBOX,C,18,nil,nil}

//(joke) brakball box

mobjinfo[MT_BRAKBALL_BOX] = {
	--$Name Brak Box
	--$Sprite BBOXA0
	--$Category Monitors
	doomednum = 470,
	spawnstate = S_BRAKBALL_BOX,
	reactiontime = 8,
	painstate = S_BRAKBALL_BOX,
	deathstate = S_BOX_POP1,
	deathsound = sfx_pop,
	speed = 1,
	radius = 18*FRACUNIT,
	height = 40*FRACUNIT,
	mass = 100,
	damage = MT_BRAKBALL_ICON,
	flags = MF_SOLID|MF_SHOOTABLE|MF_MONITOR
}

mobjinfo[MT_BRAKBALL_ICON] = {
	doomednum = -1,
	spawnstate = S_BRAKBALL_ICON1,
	seesound = sfx_kc54,
	reactiontime = 8,
	deathsound = sfx_pop,
	speed = 2*FRACUNIT,
	radius = 8*FRACUNIT,
	height = 14*FRACUNIT,
	mass = 100,
	damage = 62*FRACUNIT,
	flags = MF_NOBLOCKMAP|MF_NOGRAVITY|MF_NOCLIP|MF_BOXICON|MF_SCENERY
}

states[S_BRAKBALL_BOX] = {SPR_BBOX,A,2,nil,0,0,S_BOX_FLICKER}
states[S_BRAKBALL_ICON1] = {SPR_PBOX,C|FF_ANIMATE,18,nil,3,4,S_BRAKBALL_ICON2}
states[S_BRAKBALL_ICON2] = {SPR_PBOX,C,18,nil,nil}