//from chrispy chars!!! by Lach!!!!
local function SafeFreeslot(...)
	for _, item in ipairs({...})
		if rawget(_G, item) == nil
			freeslot(item)
		end
	end
end

SafeFreeslot("MT_PUNCHBALL")
SafeFreeslot("S_PUNCHBALL")
SafeFreeslot("S_PUNCHBALL_GET")
SafeFreeslot("MT_BBBALL")
SafeFreeslot("S_BBBALL")
SafeFreeslot("S_BBBALL_GET")
SafeFreeslot("MT_BRAKBALL")
SafeFreeslot("S_BRAKBALL")
SafeFreeslot("S_BRAKBALL_GET")
SafeFreeslot("SPR_PNBL")
SafeFreeslot("SPR_BNBL")
SafeFreeslot("SPR_UNBL")
SafeFreeslot("sfx_psmack")
SafeFreeslot("sfx_pbounc")
sfxinfo[sfx_psmack].caption = "Punch"
sfxinfo[sfx_pbounc].caption = "Boing"

states[S_PUNCHBALL] = {
	sprite = SPR_PNBL,
	frame = A
}
states[S_PUNCHBALL_GET] = {
	sprite = SPR_PNBL,
	frame = B|FF_ANIMATE,
	var1 = 1,
	var2 = 3,
	nextstate = S_PUNCHBALL_GET
}

mobjinfo[MT_PUNCHBALL] = {
	doomednum = -1,
	spawnstate = S_PUNCHBALL,
	spawnhealth = 1000,
	deathstate = S_NULL,
	mass = 100,
	dispoffset = 3,
	height = 22*FRACUNIT,
	radius = 10*FRACUNIT,
	flags = MF_SPECIAL|MF_SLIDEME

}

states[S_BRAKBALL] = {
	sprite = SPR_BNBL,
	frame = A
}
states[S_BRAKBALL_GET] = {
	sprite = SPR_BNBL,
	frame = B|FF_ANIMATE,
	var1 = 1,
	var2 = 3,
	nextstate = S_BRAKBALL_GET
}

mobjinfo[MT_BRAKBALL] = {
	doomednum = -1,
	spawnstate = S_BRAKBALL,
	spawnhealth = 1000,
	deathstate = S_NULL,
	mass = 100,
	dispoffset = 3,
	height = 22*FRACUNIT,
	radius = 10*FRACUNIT,
	flags = MF_SPECIAL|MF_SLIDEME

}

states[S_BBBALL] = {
	sprite = SPR_UNBL,
	frame = A
}
states[S_BBBALL_GET] = {
	sprite = SPR_UNBL,
	frame = B|FF_ANIMATE,
	var1 = 1,
	var2 = 3,
	nextstate = S_BBBALL_GET
}

mobjinfo[MT_BBBALL] = {
	doomednum = -1,
	spawnstate = S_BBBALL,
	spawnhealth = 1000,
	deathstate = S_NULL,
	mass = 100,
	dispoffset = 3,
	height = 22*FRACUNIT,
	radius = 10*FRACUNIT,
	flags = MF_SPECIAL|MF_SLIDEME

}