rawset(_G, "OLDCsave", reserveLuabanks())

rawset(_G, "OLDC", {})
rawset(_G, "CURRENT_ROUND", 1)
rawset(_G, "CURRENT_YEAR", "2023")
rawset(_G, "TOTALENTRIES", 31)

rawset(_G, "G_GetMapNumber", function(map)
	return map and tonumber(map, 36) - 260 or 0
end)

OLDC.hub = G_GetMapNumber("S0") //748
OLDC.firstmap = G_GetMapNumber("S1") //749
OLDC.defaultmap = OLDC.hub

OLDC.Data = {
	mapChecks = {},
	visitedChecks = {},
	playerVotes = {},
	--bannedVoters = {},
	
	failedlevel = false,
	exitingcheck = false,
	pausetimer = false,
	nolives = true,
	
	voteInfo = {},
	
	hubSpot = nil,
	lasthub = OLDC.hub,
	
	emeralds = 0
}

OLDC.SkinFullNames = {
	sonic = "Sonic the Hedgehog",
	tails = "Miles 'Tails' Prower",
	knuckles = "Knuckles the Echidna",
	fang = "Fang the Sniper",
	
	modernsonic = "Sonic the Hedgehog",
	silver = "Silver the Hedgehog",
	shadow = "Shadow the Hedgehog",
	espio = "Espio the Chameleon",
	bean = "Bean the Dynamite",
	bark = "Bark the Polar Bear",
	tangle = "Tangle the Lemur",
	
	spleenik = "its him!",
	taileels = "coward",
	
	milne = "Milne the Crystal Rogue",
	iclyn = "Iclyn the Ice Skater",
	randellia = "Randellia the Jade Archer",
	
	miku = "Hatsune Miku",
	spongebob = "Spongebob Squarepants",
	patrick = "Patrick Star",
	
	flare = "Flare the Lizard",
	flarethetrex = "Flare the Tyrannosaur",
	ryder = "Ryder the Falcon",
	
	feels = "Feels the Rabbit",
	cacee = "Cacee 'Kiwi' Cactus",
	wido = "Wido the Wild",
	nasya = "Nasya the Weightless",
	flame = "Flame the Dragon",
	spyro = "Spyro the Dragon",
	sparks = "Ellie the Sparklet",
	
	aether = "Aether the Gazelle",
	inazuma = "Inazuma Silverhorn",
	fuu = "Fuu Silverhorn",
	eclate = "Eclate the Antelope",
	
	peppino = "Peppino Spaghetti",
	theo = "The Noise",
	
	cman = "Cal-El",
	
	snicktp = "Snick The Porcupine",
	
	gms = "Golden Metal Sonic",
	
	samus = "Samus Aran",
	honey = "Honey the Cat",
	hinote = "Hinote the Cat",
	pierre = "Pierre the Peacock",
	robe = "Robe the Robot",
	ivory = "Ivory the Rabbit",
	
	derp = "The Derp",
	kanade = "Kanade Tachibana",
	
	dirk = "Dirk the Husky",
	whirl = "Whirl the Ram",
	vesola = "Vesola the Bee",
	
	skip = "Skip the Fennec Fox",
	kiryu = "Kazuma Kiryu",
	werehog = "Sonic the Werehog",
	gemma = "Gemma the Tarsier-Cat",
	blake = "Blake the Tamaraw",
	zella = "Zella the Cobra",
	
	cyan = "Cyan the Poyo",
	eggpack = "Dr. Ivo 'Eggman' Robotnik",
	windows = "Microsoft Windows",
	bowser = "Bowser the Koopa King",
	
	mario = "Super Mario",
	yoshi = "Yoshi",
	willo = "Willo the Cat",
	maimy = "Maimy the Rosy Robot",
	jana = "Jana the Fox",
	eggette = "Eggatha 'Omelette' Robotnik",
	
	pacman = "Pac-Man",
	
	impostor = "Failure",
	
	rafael = "Rafael the Human",
	aniemae = "Anie Mae the Maned Wolf",
	sonki = "satan himself",
	
	dummie = "Dummie The Testing Dummy",
	huggert = "Huggert My Beloved",
	whisper = "Whisper the Wolf", 
	
	boyfriend = "Boyfriend the BF",
}